Create an appointment
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.koibox.cloud/api/agenda/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, }, Content = new StringContent("{ \"notas\": \"example\", \"duracion\": \"example\", \"titulo\": \"example\", \"observaciones\": \"example\", \"is_empleado_aleatorio\": true, \"fecha\": \"2026-04-15\", \"hora_inicio\": \"example\", \"hora_fin\": \"example\", \"is_cliente_en_centro\": true, \"user\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"cliente\": { \"text\": \"example\", \"value\": 1, \"email\": \"hello@example.com\", \"movil\": \"example\", \"notas\": \"example\", \"foto_url_absolute_path\": \"https://example.com\", \"localidad\": \"example\", \"importe_ventas\": 1, \"importe_deudas\": 1, \"code\": 1, \"manual_code\": \"example\", \"fijo\": \"example\", \"dni\": \"example\", \"prefijo_tel\": 1 }, \"estado\": { \"id\": 1, \"value\": 1, \"nombre\": \"example\", \"text\": \"example\" }, \"servicios\": [ { \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": \"example\", \"is_tarifas\": true, \"precio_tarifa1\": \"example\", \"precio_tarifa2\": \"example\", \"precio_tarifa3\": \"example\", \"precio_tarifa4\": \"example\", \"duracion\": \"example\", \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"is_active\": true, \"users\": [ { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" } ], \"is_disponible_online\": true, \"descuento_online\": 1, \"secure_payment_amount\": \"example\", \"productos_escandallo\": [ { \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"proveedor\": {}, \"servicios_escandallo\": [], \"stock\": { \"existencias\": 1, \"stock_minimo\": 1 }, \"barcode\": \"example\", \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": 1, \"precio_online\": 1, \"precio_coste\": 1, \"pedido_minimo\": 1, \"is_active\": true, \"is_uso_interno\": false, \"is_disponible_ecommerce\": true, \"imagenes\": [ { \"name\": \"example\", \"size\": 1, \"type\": \"example\", \"opts\": { \"principal\": true } } ], \"impuesto\": 1 } ], \"impuesto\": 1, \"orden\": 1, \"tbai_vat_exemption_cause\": 1 } ], \"servicios_combinados\": [ 1 ], \"tags\": [ { \"name\": \"example\" } ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/agenda/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"notas\": \"example\", \"duracion\": \"example\", \"titulo\": \"example\", \"observaciones\": \"example\", \"is_empleado_aleatorio\": true, \"fecha\": \"2026-04-15\", \"hora_inicio\": \"example\", \"hora_fin\": \"example\", \"is_cliente_en_centro\": true, \"user\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"cliente\": { \"text\": \"example\", \"value\": 1, \"email\": \"hello@example.com\", \"movil\": \"example\", \"notas\": \"example\", \"foto_url_absolute_path\": \"https://example.com\", \"localidad\": \"example\", \"importe_ventas\": 1, \"importe_deudas\": 1, \"code\": 1, \"manual_code\": \"example\", \"fijo\": \"example\", \"dni\": \"example\", \"prefijo_tel\": 1 }, \"estado\": { \"id\": 1, \"value\": 1, \"nombre\": \"example\", \"text\": \"example\" }, \"servicios\": [ { \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": \"example\", \"is_tarifas\": true, \"precio_tarifa1\": \"example\", \"precio_tarifa2\": \"example\", \"precio_tarifa3\": \"example\", \"precio_tarifa4\": \"example\", \"duracion\": \"example\", \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"is_active\": true, \"users\": [ { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" } ], \"is_disponible_online\": true, \"descuento_online\": 1, \"secure_payment_amount\": \"example\", \"productos_escandallo\": [ { \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"proveedor\": {}, \"servicios_escandallo\": [], \"stock\": { \"existencias\": 1, \"stock_minimo\": 1 }, \"barcode\": \"example\", \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": 1, \"precio_online\": 1, \"precio_coste\": 1, \"pedido_minimo\": 1, \"is_active\": true, \"is_uso_interno\": false, \"is_disponible_ecommerce\": true, \"imagenes\": [ { \"name\": \"example\", \"size\": 1, \"type\": \"example\", \"opts\": { \"principal\": true } } ], \"impuesto\": 1 } ], \"impuesto\": 1, \"orden\": 1, \"tbai_vat_exemption_cause\": 1 } ], \"servicios_combinados\": [ 1 ], \"tags\": [ { \"name\": \"example\" } ] }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"notas\": \"example\", \"duracion\": \"example\", \"titulo\": \"example\", \"observaciones\": \"example\", \"is_empleado_aleatorio\": true, \"fecha\": \"2026-04-15\", \"hora_inicio\": \"example\", \"hora_fin\": \"example\", \"is_cliente_en_centro\": true, \"user\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"cliente\": { \"text\": \"example\", \"value\": 1, \"email\": \"hello@example.com\", \"movil\": \"example\", \"notas\": \"example\", \"foto_url_absolute_path\": \"https://example.com\", \"localidad\": \"example\", \"importe_ventas\": 1, \"importe_deudas\": 1, \"code\": 1, \"manual_code\": \"example\", \"fijo\": \"example\", \"dni\": \"example\", \"prefijo_tel\": 1 }, \"estado\": { \"id\": 1, \"value\": 1, \"nombre\": \"example\", \"text\": \"example\" }, \"servicios\": [ { \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": \"example\", \"is_tarifas\": true, \"precio_tarifa1\": \"example\", \"precio_tarifa2\": \"example\", \"precio_tarifa3\": \"example\", \"precio_tarifa4\": \"example\", \"duracion\": \"example\", \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"is_active\": true, \"users\": [ { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" } ], \"is_disponible_online\": true, \"descuento_online\": 1, \"secure_payment_amount\": \"example\", \"productos_escandallo\": [ { \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"proveedor\": {}, \"servicios_escandallo\": [], \"stock\": { \"existencias\": 1, \"stock_minimo\": 1 }, \"barcode\": \"example\", \"referencia\": \"example\", \"nombre\": \"example\", \"detalle\": \"example\", \"precio\": 1, \"precio_online\": 1, \"precio_coste\": 1, \"pedido_minimo\": 1, \"is_active\": true, \"is_uso_interno\": false, \"is_disponible_ecommerce\": true, \"imagenes\": [ { \"name\": \"example\", \"size\": 1, \"type\": \"example\", \"opts\": { \"principal\": true } } ], \"impuesto\": 1 } ], \"impuesto\": 1, \"orden\": 1, \"tbai_vat_exemption_cause\": 1 } ], \"servicios_combinados\": [ 1 ], \"tags\": [ { \"name\": \"example\" } ] }");Request request = new Request.Builder() .url("https://api.koibox.cloud/api/agenda/") .post(body) .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.koibox.cloud/api/agenda/', headers: {'X-Koibox-Key': '<X-Koibox-Key>', 'Content-Type': 'application/json'}, data: { notas: 'example', duracion: 'example', titulo: 'example', observaciones: 'example', is_empleado_aleatorio: true, fecha: '2026-04-15', hora_inicio: 'example', hora_fin: 'example', is_cliente_en_centro: true, user: { value: 1, text: 'example', color: 'example', username: 'hello@example.com', foto_url_absolute_path: 'https://example.com' }, cliente: { text: 'example', value: 1, email: 'hello@example.com', movil: 'example', notas: 'example', foto_url_absolute_path: 'https://example.com', localidad: 'example', importe_ventas: 1, importe_deudas: 1, code: 1, manual_code: 'example', fijo: 'example', dni: 'example', prefijo_tel: 1 }, estado: {id: 1, value: 1, nombre: 'example', text: 'example'}, servicios: [ { referencia: 'example', nombre: 'example', detalle: 'example', precio: 'example', is_tarifas: true, precio_tarifa1: 'example', precio_tarifa2: 'example', precio_tarifa3: 'example', precio_tarifa4: 'example', duracion: 'example', categoria: {value: 1, text: 'example', nombre: 'example', id: 1, orden: 1, is_active: true}, is_active: true, users: [ { value: 1, text: 'example', color: 'example', username: 'hello@example.com', foto_url_absolute_path: 'https://example.com' } ], is_disponible_online: true, descuento_online: 1, secure_payment_amount: 'example', productos_escandallo: [ { categoria: {value: 1, text: 'example', nombre: 'example', id: 1, orden: 1, is_active: true}, proveedor: {}, servicios_escandallo: [], stock: {existencias: 1, stock_minimo: 1}, barcode: 'example', referencia: 'example', nombre: 'example', detalle: 'example', precio: 1, precio_online: 1, precio_coste: 1, pedido_minimo: 1, is_active: true, is_uso_interno: false, is_disponible_ecommerce: true, imagenes: [{name: 'example', size: 1, type: 'example', opts: {principal: true}}], impuesto: 1 } ], impuesto: 1, orden: 1, tbai_vat_exemption_cause: 1 } ], servicios_combinados: [1], tags: [{name: 'example'}] }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/agenda/';const options = { method: 'POST', headers: {'X-Koibox-Key': '<X-Koibox-Key>', 'Content-Type': 'application/json'}, body: '{"notas":"example","duracion":"example","titulo":"example","observaciones":"example","is_empleado_aleatorio":true,"fecha":"2026-04-15","hora_inicio":"example","hora_fin":"example","is_cliente_en_centro":true,"user":{"value":1,"text":"example","color":"example","username":"hello@example.com","foto_url_absolute_path":"https://example.com"},"cliente":{"text":"example","value":1,"email":"hello@example.com","movil":"example","notas":"example","foto_url_absolute_path":"https://example.com","localidad":"example","importe_ventas":1,"importe_deudas":1,"code":1,"manual_code":"example","fijo":"example","dni":"example","prefijo_tel":1},"estado":{"id":1,"value":1,"nombre":"example","text":"example"},"servicios":[{"referencia":"example","nombre":"example","detalle":"example","precio":"example","is_tarifas":true,"precio_tarifa1":"example","precio_tarifa2":"example","precio_tarifa3":"example","precio_tarifa4":"example","duracion":"example","categoria":{"value":1,"text":"example","nombre":"example","id":1,"orden":1,"is_active":true},"is_active":true,"users":[{"value":1,"text":"example","color":"example","username":"hello@example.com","foto_url_absolute_path":"https://example.com"}],"is_disponible_online":true,"descuento_online":1,"secure_payment_amount":"example","productos_escandallo":[{"categoria":{"value":1,"text":"example","nombre":"example","id":1,"orden":1,"is_active":true},"proveedor":{},"servicios_escandallo":[],"stock":{"existencias":1,"stock_minimo":1},"barcode":"example","referencia":"example","nombre":"example","detalle":"example","precio":1,"precio_online":1,"precio_coste":1,"pedido_minimo":1,"is_active":true,"is_uso_interno":false,"is_disponible_ecommerce":true,"imagenes":[{"name":"example","size":1,"type":"example","opts":{"principal":true}}],"impuesto":1}],"impuesto":1,"orden":1,"tbai_vat_exemption_cause":1}],"servicios_combinados":[1],"tags":[{"name":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.koibox.cloud/api/agenda/ \ --header 'Content-Type: application/json' \ --header 'X-Koibox-Key: <X-Koibox-Key>' \ --data '{ "notas": "example", "duracion": "example", "titulo": "example", "observaciones": "example", "is_empleado_aleatorio": true, "fecha": "2026-04-15", "hora_inicio": "example", "hora_fin": "example", "is_cliente_en_centro": true, "user": { "value": 1, "text": "example", "color": "example", "username": "hello@example.com", "foto_url_absolute_path": "https://example.com" }, "cliente": { "text": "example", "value": 1, "email": "hello@example.com", "movil": "example", "notas": "example", "foto_url_absolute_path": "https://example.com", "localidad": "example", "importe_ventas": 1, "importe_deudas": 1, "code": 1, "manual_code": "example", "fijo": "example", "dni": "example", "prefijo_tel": 1 }, "estado": { "id": 1, "value": 1, "nombre": "example", "text": "example" }, "servicios": [ { "referencia": "example", "nombre": "example", "detalle": "example", "precio": "example", "is_tarifas": true, "precio_tarifa1": "example", "precio_tarifa2": "example", "precio_tarifa3": "example", "precio_tarifa4": "example", "duracion": "example", "categoria": { "value": 1, "text": "example", "nombre": "example", "id": 1, "orden": 1, "is_active": true }, "is_active": true, "users": [ { "value": 1, "text": "example", "color": "example", "username": "hello@example.com", "foto_url_absolute_path": "https://example.com" } ], "is_disponible_online": true, "descuento_online": 1, "secure_payment_amount": "example", "productos_escandallo": [ { "categoria": { "value": 1, "text": "example", "nombre": "example", "id": 1, "orden": 1, "is_active": true }, "proveedor": {}, "servicios_escandallo": [], "stock": { "existencias": 1, "stock_minimo": 1 }, "barcode": "example", "referencia": "example", "nombre": "example", "detalle": "example", "precio": 1, "precio_online": 1, "precio_coste": 1, "pedido_minimo": 1, "is_active": true, "is_uso_interno": false, "is_disponible_ecommerce": true, "imagenes": [ { "name": "example", "size": 1, "type": "example", "opts": { "principal": true } } ], "impuesto": 1 } ], "impuesto": 1, "orden": 1, "tbai_vat_exemption_cause": 1 } ], "servicios_combinados": [ 1 ], "tags": [ { "name": "example" } ] }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”object
Read-only
Read-only
Read-only
Read-only
Date of the appointment, expected in the center’s time zone
Required in appointments with normal services and without combined services. Do not include in appointments with combined services.
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Read-only
object
Name of the client
Identifier of the client
Mobile number of the client
Write-only
Parent appointment of the current one, read-only
Write-only
Read-only
Read-only
object
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Write-only
Read-only
object
Read-only
object
object
Name of the file
File size (in bytes)
MIME type of the file
object
Indicates if it is the main image of the product
Write-only
Read-only
object
IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.
Time adjusted to the center’s time zone, read-only
Sale created from the appointment, read-only
Labels of the appointment
object
Read-only
Name of the label
HMAC signature of the appointment used to send the user to the online payment flow, read-only
Responses
Section titled “Responses”The created appointment. If combined services are included, it is automatically split by services, so an array with each created appointment is returned.
object
Read-only
Read-only
Read-only
Read-only
Date of the appointment, expected in the center’s time zone
Required in appointments with normal services and without combined services. Do not include in appointments with combined services.
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Read-only
object
Name of the client
Identifier of the client
Mobile number of the client
Write-only
Parent appointment of the current one, read-only
Write-only
Read-only
Read-only
object
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Write-only
Read-only
object
Read-only
object
object
Name of the file
File size (in bytes)
MIME type of the file
object
Indicates if it is the main image of the product
Write-only
Read-only
object
IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.
Time adjusted to the center’s time zone, read-only
Sale created from the appointment, read-only
Labels of the appointment
object
Read-only
Name of the label
HMAC signature of the appointment used to send the user to the online payment flow, read-only
object
Read-only
Read-only
Read-only
Read-only
Date of the appointment, expected in the center’s time zone
Required in appointments with normal services and without combined services. Do not include in appointments with combined services.
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Read-only
object
Name of the client
Identifier of the client
Mobile number of the client
Write-only
Parent appointment of the current one, read-only
Write-only
Read-only
Read-only
object
Read-only
Read-only
Read-only
Read-only
object
Identifier of the user
Name of the user
Write-only
Read-only
object
Read-only
object
object
Name of the file
File size (in bytes)
MIME type of the file
object
Indicates if it is the main image of the product
Write-only
Read-only
object
IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.
Time adjusted to the center’s time zone, read-only
Sale created from the appointment, read-only
Labels of the appointment
object
Read-only
Name of the label
HMAC signature of the appointment used to send the user to the online payment flow, read-only
The request is malformed, required fields are missing.
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”Indicates the required header for authentication
No valid access key has been provided
